package application;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;
import java.util.Map;

public class Parameters4 extends Application {
    private int w = 200;
    private int h = 100;

    public static void main(String[] args) {

        Application.launch("--w=300", "--h=200");
    }

    @Override
    public void init(){
        Parameters params = this.getParameters();
        Map<String, String> nParams = params.getNamed();
        if(nParams.containsKey("w")) {
            w =  Integer.parseInt(nParams.get("w"));
        }
        if(nParams.containsKey("h")) {
            h =  Integer.parseInt(nParams.get("h"));
        }
    }

    @Override
    public void start(Stage stage) {
        try {

            StackPane root = new StackPane();
            Scene scene = new Scene(root, w, h);
            stage.setScene(scene);
            stage.setTitle(this.getClass().getName());
            stage.setOnCloseRequest(e -> Platform.exit());
            stage.show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void stop(){}
}
